using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DirectoryDownload.FormSetter
{
    class DataTableSetter
    {
        public DataTable setDgvInterfaceDataTable()
        {
            DataTable dt = new DataTable();
            //初始化DataTable，并将datatable绑定到DataGridView的数据源
            dt.Columns.Add(new DataColumn("HospitalDr",  typeof(string)));
            dt.Columns.Add(new DataColumn("InterfaceID", typeof(string)));
            dt.Columns.Add(new DataColumn("InterfaceName", typeof(string)));
            dt.Columns.Add(new DataColumn("HospitalNO", typeof(string)));
            dt.Columns.Add(new DataColumn("HospitalLevel", typeof(string)));
            dt.Columns.Add(new DataColumn("CenterURL", typeof(string)));
            dt.Columns.Add(new DataColumn("CenterURL2", typeof(string)));
            dt.Columns.Add(new DataColumn("DLLName", typeof(string)));
            dt.Columns.Add(new DataColumn("AreaCode", typeof(string)));
            dt.Columns.Add(new DataColumn("UseFlag", typeof(string)));


            return dt;
        }
    }
}
